% Matematica Superior Aplicada
% Introduccion a MatLab

% Graficas 2D

%Grafica de la funcion seno(X)
x=[-4*pi:pi/10:4*pi];
y=sin(x);
plot(x,y)
title('funcion Seno')
xlabel('Eje x')
ylabel('Eje y')
text(pi,0.2,'texto')
pause

%Grafica de las funciones seno(x) y cos(x)
x=[-4*pi:pi/10:4*pi];
y=sin(x);
z=cos(x);
plot(x,y,x,z)
title('Funciones Seno y Coseno')
xlabel('Eje x')
ylabel('Eje y')
legend('seno','coseno')
grid on
pause

%Graficos en diferentes escalas
x=[1:0.01:10];
y=0.02*exp(x);
z=0.5*x.^3;
q=15+250*log(x);
subplot(2,2,1)
plot(x,y,x,z,x,q)
legend('exp','pot','log')
subplot(2,2,2)
loglog(x,y,x,z,x,q)
legend('exp','pot','log')
subplot(2,2,3)
semilogx(x,y,x,z,x,q)
legend('exp','pot','log')
subplot(2,2,4)
semilogy(x,y,x,z,x,q)
legend('exp','pot','log')



